import request from '@/utils/request'

// 查询课程短链域名列表
export function listCourseDomainName(query) {
  return request({
    url: '/course/courseDomainName/list',
    method: 'get',
    params: query
  })
}

// 查询课程短链域名详细
export function getCourseDomainName(id) {
  return request({
    url: '/course/courseDomainName/' + id,
    method: 'get'
  })
}

// 新增课程短链域名
export function addCourseDomainName(data) {
  return request({
    url: '/course/courseDomainName',
    method: 'post',
    data: data
  })
}

// 修改课程短链域名
export function updateCourseDomainName(data) {
  return request({
    url: '/course/courseDomainName',
    method: 'put',
    data: data
  })
}

// 删除课程短链域名
export function delCourseDomainName(id) {
  return request({
    url: '/course/courseDomainName/' + id,
    method: 'delete'
  })
}

// 导出课程短链域名
export function exportCourseDomainName(query) {
  return request({
    url: '/course/courseDomainName/export',
    method: 'get',
    params: query
  })
}